org.apache.tomcat.util.net

## Class SSLSupport.CipherData

- java.lang.Object
- - org.apache.tomcat.util.net.SSLSupport.CipherData

Enclosing interface:
  SSLSupport

    public static final class SSLSupport.CipherData
    extends Object

Simple data class that represents the cipher being used, along with the corresponding effective key size. The specified phrase must appear in the name of the cipher suite to be recognized.

### Field Summary

Fields
`int` `keySize`
`String` `phrase`

### Constructor Summary

Constructors
Constructor and Description
`SSLSupport.CipherData(String phrase, int keySize)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### phrase

    public String phrase

#### keySize

    public int keySize

### Constructor Detail

#### SSLSupport.CipherData

    public SSLSupport.CipherData(String phrase,
                         int keySize)